Method: buyers.proposals.list
Stay organized with collections
Save and categorize content based on your preferences.
outlined_flag
Lists proposals with the option to filter the results using Cloud API list filtering syntax.
The HTTP request uses a GET method with a URL containing a required parent path parameter.
Optional query parameters include filter, pageSize, and pageToken for refining the list results.
The request body must be empty, and the successful response body contains a list of proposals and a nextPageToken.
Authorization requires the https://www.googleapis.com/auth/authorized-buyers-marketplace OAuth scope.
HTTP request
GET https://authorizedbuyersmarketplace.googleapis.com/v1alpha/{parent=buyers/*}/proposals
The URL uses gRPC Transcoding syntax.
Path parameters
Parameters
parent
string
Required. Parent that owns the collection of proposals Format: buyers/{accountId}
Query parameters
Parameters
filter
string
Optional query string using the Cloud API list filtering syntax Supported columns for filtering are:
displayName
dealType
updateTime
state
pageSize
integer
Requested page size. The server may return fewer results than requested. If unspecified, the server will put a size of 500.
pageToken
string
The page token as returned from ListProposalsResponse.
Request body
The request body must be empty.
Response body
Response message for listing proposals.
If successful, the response body contains data with the following structure:
JSON representation
{
"proposals" : [
{
object (Proposal )
}
] ,
"nextPageToken" : string
}
Fields
proposals[]
object (Proposal )
The list of proposals.
nextPageToken
string
Continuation token for fetching the next page of results.
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/authorized-buyers-marketplace
Except as otherwise noted, the content of this page is licensed under the Creative Commons Attribution 4.0 License , and code samples are licensed under the Apache 2.0 License . For details, see the Google Developers Site Policies . Java is a registered trademark of Oracle and/or its affiliates.
Last updated 2025-06-12 UTC.
[null,null,["Last updated 2025-06-12 UTC."],[],["This describes how to list proposals via an API. It uses a `GET` request to `https://authorizedbuyersmarketplace.googleapis.com/v1alpha/{parent=buyers/*}/proposals`, where `parent` specifies the buyer's account. Optional query parameters `filter`, `pageSize`, and `pageToken` are available. The request body should be empty. The response is a JSON containing an array of `proposals` and a `nextPageToken` for pagination. Authorization requires the `authorized-buyers-marketplace` OAuth scope.\n"]]